Package org.apache.commons.cli

# Class AlreadySelectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.commons.cli.ParseException
org.apache.commons.cli.AlreadySelectedException

All Implemented Interfaces:
  `Serializable`

public class AlreadySelectedException extends ParseException
Thrown when more than one option in an option group has been provided.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AlreadySelectedException(String message)`
  Constructs a new `AlreadySelectedException` with the specified detail message.
  `AlreadySelectedException(OptionGroup group, Option option)`
  Constructs a new `AlreadySelectedException` for the specified option group.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Option`
  `getOption()`
  Gets the option that was added to the group and triggered the exception.
  `OptionGroup`
  `getOptionGroup()`
  Gets the option group where another option has been selected.

  ### Methods inherited from class org.apache.commons.cli.ParseException

  `wrap`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AlreadySelectedException

    public AlreadySelectedException(OptionGroup group, Option option)
    Constructs a new `AlreadySelectedException` for the specified option group.
    Parameters:
      `group` - the option group already selected
      `option` - the option that triggered the exception
    Since:
      1.2

  - ### AlreadySelectedException

    public AlreadySelectedException(String message)
    Constructs a new `AlreadySelectedException` with the specified detail message.
    Parameters:
      `message` - the detail message

- ## Method Details

  - ### getOption

    public Option getOption()
    Gets the option that was added to the group and triggered the exception.
    Returns:
      the related option
    Since:
      1.2

  - ### getOptionGroup

    public OptionGroup getOptionGroup()
    Gets the option group where another option has been selected.
    Returns:
      the related option group
    Since:
      1.2